%define modname rpmreader
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A42_%{modname}.ini

Summary:	RPM file meta information reader for PHP
Name:		php-%{modname}
Version:	0.3
Release:	%mkrel 8
Group:		Development/PHP
URL:		http://pecl.php.net
License:	PHP License
Source0:	rpmreader.tar.bz2
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
rpmreader is an extension that provides the ability to read RedHat Package
Manager (RPM) files' header information. This extension currently does not
provide the functionality to read the signature or archive sections of the RPM
file.

%prep

%setup -q -n rpmreader

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc examples CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-8mdv2007.0
+ Revision: 117613
- rebuilt against new upstream version (5.2.1)

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.3-7mdv2007.0
+ Revision: 79296
- rebuild
- rebuilt for php-5.2.0
- Import php-rpmreader



* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.3-5
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.3-4mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3-3mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.3-2mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.3-1mdk
- 0.3

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1-1mdk
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_0.1-0.RC1.1mdk
- initial Mandriva package
